<template>
  <router-view/>
</template >
<script>
import NavBar from "@/components/NavBar";
export default {
  components : {
    NavBar
  },
  beforeCreate() {
   let status = localStorage.getItem('connected')
    if(status==='false'){
      this.$store.state.isAuthenticated = false
    }else{
      this.$store.state.isAuthenticated = true

    }

  },
  data(){

  return{
    forceReload: 0,
    etaC : localStorage.getItem('connected') ,
    connectedUser : localStorage.getItem('user')
  }
}

}
</script>
<style lang="scss">
body{
  position: relative;
}
.space{
  margin-left : 10px;
  margin-right : 10px;
}
.flex{
  justify-content: center;
  display : flex;
  flex-flow: row;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
